"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
* Componente que muestra miga de pan y toolbar
*/
var BitHeaderComponent = /** @class */ (function () {
    function BitHeaderComponent() {
        this.componentId = "BASE"; //id del componente donde está asociado el header. Por defecto BASE
        this.toolbar = {};
        this.noToolbar = false;
        this.otherActionsDropdown = false; // determina si las "other actions" deben mostrarse en línea o como un desplegable
        this.femenino = false; // género femenino (para los nombres de botones) o no
        this.onToolbarButtonPressed = new core_1.EventEmitter();
    }
    /** Tenemos que capturar el evento y volver a subirlo, por diseño Angular2 no permite enviar un evento de un nieto a su abuelo, solo
     * de hijo a padre
     */
    BitHeaderComponent.prototype.onTBPressed = function (button) {
        this.onToolbarButtonPressed.emit(button);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitHeaderComponent.prototype, "componentId", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], BitHeaderComponent.prototype, "toolbar", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitHeaderComponent.prototype, "noToolbar", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitHeaderComponent.prototype, "otherActionsDropdown", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], BitHeaderComponent.prototype, "breadcrumb", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], BitHeaderComponent.prototype, "masacciones", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], BitHeaderComponent.prototype, "colsBreadcrumb", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitHeaderComponent.prototype, "femenino", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitHeaderComponent.prototype, "ayuda", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", Object)
    ], BitHeaderComponent.prototype, "onToolbarButtonPressed", void 0);
    BitHeaderComponent = __decorate([
        core_1.Component({
            selector: 'bit-header',
            template: "\n<div class=\"row container\" [class.container-bread-btn-fixed]=\"breadcrumb\" [class.cotainer-bread-btn-lite]=\"!breadcrumb\">\n    <div\n        [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + colsBreadcrumb): (masacciones ? 'col-sm-5' : 'col-sm-7')]\">\n        <!-- ruta de donde nos encontramos (miga de pan) -->\n        <bit-breadcrumb *ngIf=\"breadcrumb\" [breadcrumb]=\"breadcrumb\"></bit-breadcrumb>\n    </div>\n    <div *ngIf=\"noToolbar === false\"\n        [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + (12-colsBreadcrumb)): (masacciones ? 'col-sm-7' : 'col-sm-5')]\">\n        <!-- botonera de acciones -->    \n        <bit-toolbar \n            [componentId]=\"componentId\" \n            [femenino]=\"femenino\"\n            [otherActionsDropdown]=\"otherActionsDropdown\"\n\t    [ayuda]=\"ayuda\"\n            (onToolbarButtonPressed)=\"onTBPressed($event)\"></bit-toolbar>\n    </div>\n</div>\n"
        })
    ], BitHeaderComponent);
    return BitHeaderComponent;
}());
exports.BitHeaderComponent = BitHeaderComponent;
//# sourceMappingURL=bit-header.component.js.map