"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var bit_custom_component_1 = require("./bit-custom.component");
/** Clase general para componentes personalizados de tipo Fecha como puede ser BitDate, BitTime y BitDateTime */
var BitCalendarComponent = /** @class */ (function (_super) {
    __extends(BitCalendarComponent, _super);
    function BitCalendarComponent(ayudaService, changeDetectorRef) {
        var _this = _super.call(this, ayudaService, changeDetectorRef) || this;
        _this.ayudaService = ayudaService;
        _this.changeDetectorRef = changeDetectorRef;
        _this.LOCALE_ES = {
            firstDayOfWeek: 1,
            closeText: "Cerrar",
            prevText: "<Ant",
            nextText: "Sig>",
            currentText: "Hoy",
            monthNames: [
                "enero",
                "febrero",
                "marzo",
                "abril",
                "mayo",
                "junio",
                "julio",
                "agosto",
                "septiembre",
                "octubre",
                "noviembre",
                "diciembre"
            ],
            monthNamesShort: ["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"],
            dayNames: ["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"],
            dayNamesShort: ["dom", "lun", "mar", "mié", "jue", "vie", "sáb"],
            dayNamesMin: ["D", "L", "M", "X", "J", "V", "S"],
            weekHeader: "Sm",
            dateFormat: "dd/mm/yy",
            firstDay: 1,
            isRTL: false,
            showMonthAfterYear: false,
            yearSuffix: "",
            timeOnlyTitle: "Elegir una hora",
            timeText: "Hora",
            hourText: "Horas",
            minuteText: "Minutos",
            secondText: "Segundos",
            millisecText: "Milisegundos",
            microsecText: "Microsegundos",
            timezoneText: "Uso horario",
            timeFormat: "HH:mm",
            timeSuffix: "",
            amNames: ["a.m.", "AM", "A"],
            pmNames: ["p.m.", "PM", "P"]
        };
        return _this;
    }
    __decorate([
        core_1.Input(),
        __metadata("design:type", Date)
    ], BitCalendarComponent.prototype, "fechaMinima", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Date)
    ], BitCalendarComponent.prototype, "fechaMaxima", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitCalendarComponent.prototype, "calendarReadOnlyInput", void 0);
    return BitCalendarComponent;
}(bit_custom_component_1.BitCustomComponent));
exports.BitCalendarComponent = BitCalendarComponent;
//# sourceMappingURL=bit-calendar.component.js.map