"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var OtherToolbarActionPipe = /** @class */ (function () {
    /**
    * Convierte un map de acciones del toolbar en un array de acciones pero conteniendo
    * solo aquellas acciones que tengan la propiedad otherAction definida a true
    */
    function OtherToolbarActionPipe() {
    }
    OtherToolbarActionPipe.prototype.transform = function (toolbarMap) {
        var actions = [];
        for (var key in toolbarMap) {
            if (toolbarMap[key].otherAction) {
                actions.push(toolbarMap[key]);
            }
        }
        return actions;
    };
    OtherToolbarActionPipe = __decorate([
        core_1.Pipe({
            name: 'otherToolbarAction'
        })
        /**
        * Convierte un map de acciones del toolbar en un array de acciones pero conteniendo
        * solo aquellas acciones que tengan la propiedad otherAction definida a true
        */
    ], OtherToolbarActionPipe);
    return OtherToolbarActionPipe;
}());
exports.OtherToolbarActionPipe = OtherToolbarActionPipe;
//# sourceMappingURL=other-actions.pipe.js.map