"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var RemoveLineBreaksPipe = /** @class */ (function () {
    /**
    * Acorta un texto con saltos de línea, sustituyendo los saltos por "//" y limitando la cadena final a 200 caracteres
    */
    function RemoveLineBreaksPipe() {
    }
    RemoveLineBreaksPipe.prototype.transform = function (str) {
        if (str.indexOf('\n') > 0) {
            str = str.split('\n').filter(function (line) { return line.trim().length > 0; }).join(' // ');
        }
        if (str.length > 200) {
            str = str.substring(0, 200) + ' ...';
        }
        return str;
    };
    RemoveLineBreaksPipe = __decorate([
        core_1.Pipe({
            name: 'removeLineBreaks'
        })
        /**
        * Acorta un texto con saltos de línea, sustituyendo los saltos por "//" y limitando la cadena final a 200 caracteres
        */
    ], RemoveLineBreaksPipe);
    return RemoveLineBreaksPipe;
}());
exports.RemoveLineBreaksPipe = RemoveLineBreaksPipe;
//# sourceMappingURL=remove-line-breaks.pipe.js.map