import { RouterStateSnapshot, Params } from "@angular/router";
import { ActionReducerMap } from "@ngrx/store";
import * as fromRouter from "@ngrx/router-store";
import { MemoizedSelector } from "@ngrx/store";
export interface RouterStateUrl {
    url: string;
    queryParams: Params;
    params: Params;
}
export interface State {
    routerReducer: fromRouter.RouterReducerState<RouterStateUrl>;
}
export declare const reducers: ActionReducerMap<State>;
export declare const getRouterState: MemoizedSelector<object, fromRouter.RouterReducerState<RouterStateUrl>>;
export declare class CustomSerializer implements fromRouter.RouterStateSerializer<RouterStateUrl> {
    serialize(routerSate: RouterStateSnapshot): RouterStateUrl;
}
