"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../service/ayuda.service");
var BitBotonAyudaComponent = /** @class */ (function () {
    function BitBotonAyudaComponent(ayudaService) {
        this.ayudaService = ayudaService;
        this.boton = false; // show a little [?] or a full button
        this.extraClass = ''; // extra CSS classes for HTML component
    }
    BitBotonAyudaComponent.prototype.mostrarAyuda = function () {
        this.ayudaService.mostrarAyuda(this.ayuda);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitBotonAyudaComponent.prototype, "ayuda", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitBotonAyudaComponent.prototype, "boton", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitBotonAyudaComponent.prototype, "extraClass", void 0);
    BitBotonAyudaComponent = __decorate([
        core_1.Component({
            selector: 'bit-boton-ayuda',
            template: "\n    <button *ngIf=\"boton\" \n        type=\"button\"\n        (click)=\"mostrarAyuda()\"\n        [ngClass]=\"'btn btn-transparent ' + extraClass\"\n    >Ajuda&nbsp;&nbsp;<span class=\"fa fa-life-ring\"></span></button>\n\n    <i *ngIf=\"!boton\" \n        [ngClass]=\"'btn-ayuda fa fa-question ' + extraClass\"\n        (click)=\"mostrarAyuda();\"\n    ></i>\n    "
        }),
        __metadata("design:paramtypes", [ayuda_service_1.AyudaService])
    ], BitBotonAyudaComponent);
    return BitBotonAyudaComponent;
}());
exports.BitBotonAyudaComponent = BitBotonAyudaComponent;
//# sourceMappingURL=bit-boton-ayuda.component.js.map