import { EventEmitter, SimpleChanges } from "@angular/core";
/**
 * Componenente que muestra una barra de botones.
 **/
export declare class BitStoreToolbarComponent {
    static FILTER_BUTTON: string;
    static PRINT_BUTTON: string;
    static EXPORT_BUTTON: string;
    static NEW_BUTTON: string;
    static SAVE_BUTTON: string;
    static DELETE_BUTTON: string;
    static ADD_BUTTON: string;
    static HELP_BUTTON: string;
    toolbar: {};
    ayuda: string;
    femenino: boolean;
    otherActionsDropdown: boolean;
    onToolbarButtonPressed: EventEmitter<string>;
    mostrarOtherActionsEnDesplegable: boolean;
    enable(button: string): boolean;
    visible(button: string): boolean;
    label(button: string, defaultLabel: string): string;
    estilo(button: string, defaultValue: string): string;
    showFilter(): void;
    print(): void;
    exportData(): void;
    newElement(): void;
    add(): void;
    save(): void;
    delete(): void;
    otherAction(button: any): void;
    /** escuchamos cuando la toolbar cambia para ajustar las other Actions */
    ngOnChanges(changes: SimpleChanges): void;
}
