"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
 * Componente general que muestra controles de sesión de usuario.
 *
 * Informa del login actualmente en sesión
 */
var BitUserControlsComponent = /** @class */ (function () {
    function BitUserControlsComponent() {
    }
    Object.defineProperty(BitUserControlsComponent.prototype, "json", {
        get: function () {
            return this.usuario && JSON.stringify(this.usuario, null, 4);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], BitUserControlsComponent.prototype, "usuario", void 0);
    BitUserControlsComponent = __decorate([
        core_1.Component({
            selector: 'bit-user-controls',
            template: "\n    <span *ngIf=\"usuario\" class=\"userControls\"><span class=\"fa fa-user\" title=\"{{json}}\"></span>&nbsp;&nbsp;{{usuario.nombreCompleto}} ({{usuario.login}})&nbsp;&nbsp;</span>\n    "
        }),
        __metadata("design:paramtypes", [])
    ], BitUserControlsComponent);
    return BitUserControlsComponent;
}());
exports.BitUserControlsComponent = BitUserControlsComponent;
//# sourceMappingURL=bit-user-controls.component.js.map