"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var bit_general_component_1 = require("./bit-general.component");
var BitTextAreaComponent = /** @class */ (function (_super) {
    __extends(BitTextAreaComponent, _super);
    function BitTextAreaComponent(ayudaService) {
        var _this = _super.call(this, ayudaService) || this;
        _this.ayudaService = ayudaService;
        return _this;
    }
    BitTextAreaComponent = __decorate([
        core_1.Component({
            selector: "bit-textarea",
            template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;<span *ngIf=\"obligatorio\" class=\"obligatorio fa fa-asterisk\"></span>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <pre *ngIf=\"readOnly\" class=\"lectura\" [id]=\"nombre\">{{value_lectura}}</pre>\n    <textarea pInputTextarea \n        *ngIf=\"!readOnly\"\n        class=\"form-control h-100 {{estilo}}\" \n        id=\"{{nombre}}\" \n        name=\"{{nombre}}\"\n        [formControl]=\"control\"\n        (blur)=\"onBlur()\" \n        (focus)=\"onFocus()\">\n    </textarea>\n    <control-messages *ngIf=\"control != null\" [control]=\"control\" [field]=\"nombre\"></control-messages>\n  "
        }),
        __metadata("design:paramtypes", [ayuda_service_1.AyudaService])
    ], BitTextAreaComponent);
    return BitTextAreaComponent;
}(bit_general_component_1.BitGeneralComponent));
exports.BitTextAreaComponent = BitTextAreaComponent;
//# sourceMappingURL=bit-textarea.component.js.map