"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var domain_cached_service_1 = require("../service/domain-cached.service");
var DomainResolve = /** @class */ (function () {
    function DomainResolve(service, router) {
        this.service = service;
        this.router = router;
    }
    /**
     * Permite obtener los datos del dominio de tipos de log de la cache de sessión o del servidor si no tuviéramos
     * los datos en caché
     */
    DomainResolve.prototype.resolve = function (route) {
        console.log("Resolviendo la precarga de datos");
        var dominios = route.data['dominios'];
        if (dominios == null) {
            console.log("No me ha llegado el dominio a cargar. No podemos retornar lista de valores");
            //return Promise.resolve([]);
        }
        var listaDominios = {};
        for (var _i = 0, dominios_1 = dominios; _i < dominios_1.length; _i++) {
            var dom = dominios_1[_i];
            //console.log("Vamos a recuperar el dominio, cacheado o no");
            var domServer = this.service.getDominio(dom);
            listaDominios[dom] = domServer;
        }
        return listaDominios;
    };
    DomainResolve = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [domain_cached_service_1.DomainCachedService,
            router_1.Router])
    ], DomainResolve);
    return DomainResolve;
}());
exports.DomainResolve = DomainResolve;
//# sourceMappingURL=domain.resolve.js.map