"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var rxjs_1 = require("rxjs");
var ToolbarService = /** @class */ (function () {
    function ToolbarService() {
        //private observableToolbarSource = new BehaviorSubject<any>(null);
        this.observableToolbarSource = new rxjs_1.ReplaySubject(10);
        console.log("ToolbarService creado");
        //el toolbar al suscribirse recibirá eiempre los últimos n mensajes (toolbar) enviados. Es para protegernos y garantizar que cuando un toolbar
        //se susbscribe después de que el componente padre envíe su toolbar, entonces si se cuelan delante más toolbars, al menos lo reciba
        //OJO!. Juntar share() con ReplaySubject o publishReplay hace que no se comporte como se esperaba
        this.observableToolbar = this.observableToolbarSource.asObservable(); //.share();//.publishReplay(3).refCount();
    }
    ToolbarService.prototype.updateToolbar = function (componentId, toolbar) {
        toolbar.componentId = componentId;
        this.observableToolbarSource.next(toolbar);
    };
    ToolbarService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [])
    ], ToolbarService);
    return ToolbarService;
}());
exports.ToolbarService = ToolbarService;
//# sourceMappingURL=toolbar.service.js.map